> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paxos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a reward address

> Creates a new reward address for reward attribution

```bash OAuth Scope theme={null}
rewards:write_monitoring_address
```


## OpenAPI

````yaml post /rewards/addresses
openapi: 3.0.0
info:
  title: Paxos Rewards API
  version: v2-preview
servers: []
security: []
paths:
  /rewards/addresses:
    post:
      tags:
        - Reward Addresses
      summary: Create a reward address
      description: Creates a new reward address for reward attribution.
      operationId: CreateAttributionAddress
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAttributionAddressRequest'
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateAttributionAddressResponse'
      security:
        - OAuth2:
            - rewards:write_monitoring_address
components:
  schemas:
    CreateAttributionAddressRequest:
      type: object
      required:
        - address
      properties:
        address:
          $ref: '#/components/schemas/CreateAttributionAddressBody'
    CreateAttributionAddressResponse:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/AttributionAddress'
    CreateAttributionAddressBody:
      type: object
      required:
        - ledger
        - address
      properties:
        ledger:
          $ref: '#/components/schemas/AttributionLedgerType'
        address:
          type: string
        name:
          type: string
        payout_group_id:
          type: string
          description: UUID of the payout group this address belongs to.
    AttributionAddress:
      type: object
      title: All data associated with an attribution address
      properties:
        id:
          type: string
          readOnly: true
          description: Address ID. Auto-generated.
        ledger:
          $ref: '#/components/schemas/AttributionLedgerType'
        address:
          type: string
        name:
          type: string
        payout_group_id:
          type: string
          description: UUID of the payout group this address belongs to.
        balance:
          type: string
          readOnly: true
          description: >-
            Total custody at address. Only populated when include_balance=true
            in request.
        status:
          type: string
          readOnly: true
          description: >-
            Output only. Registration status (UNREGISTERED, PENDING, ACTIVE,
            FAILED). Server-managed.
        created_at:
          type: string
          format: date-time
          readOnly: true
    AttributionLedgerType:
      type: string
      enum:
        - ETHEREUM
        - SOLANA
        - INK
        - XLAYER
        - ARBITRUM_ONE
      example: ETHEREUM
      description: >-
        An AttributionLedgerType is a data source which produces events which
        cause monitoring to occur. Examples include blockchains and the Paxos
        platform.
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://oauth.paxos.com/oauth2/token
          scopes:
            rewards:read_monitoring_address: Read reward addresses
            rewards:write_monitoring_address: Create and manage reward addresses
            rewards:read_claims_schedule: Read claim schedules
            rewards:write_claims_schedule: Create and manage claim schedules
            rewards:read_claims: Read claims
            rewards:read_payout_groups: Read payout groups
            rewards:write_payout_groups: Create and manage payout groups
            rewards:read_rewards_details: Read reward details

````